.TH wxTreeCtrl 3 "wx  0.98.3" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
wxTreeCtrl \- See external documentation: wxTreeCtrl\&.
.SH DESCRIPTION
.LP
See external documentation: wxTreeCtrl <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtreectrl\&.html>\&. 
.LP
This class is derived (and can use functions) from: 
.br
wxControl 
.br
wxWindow 
.br
wxEvtHandler 

.SH DATA TYPES
.RS 2
.TP 4
.B
\fIwxTreeCtrl()\fR:

.RS 4
.LP
An object reference, The representation is internal and can be changed without notice\&. It can\&'t be used for comparsion stored on disc or distributed for use on other nodes\&.
.LP

.RE
.RE
.SH EXPORTS
.LP
.B
new() -> wxTreeCtrl()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtreectrl\&.html#wxtreectrlwxtreectrl>\&.
.RE
.LP
.B
new(Parent::wxWindow() (see module wxWindow)) -> wxTreeCtrl()
.br
.RS
.LP
Equivalent to new(Parent, [])\&.
.RE
.LP
.B
new(Parent::wxWindow() (see module wxWindow), Options::[Option]) -> wxTreeCtrl()
.br
.RS
.TP
Types
Option = {id, integer()} | {pos, {X::integer(), Y::integer()}} | {size, {W::integer(), H::integer()}} | {style, integer()} | {validator, wx() (see module wx)}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtreectrl\&.html#wxtreectrlwxtreectrl>\&.
.RE
.LP
.B
addRoot(This::wxTreeCtrl(), Text::string()) -> wxTreeItemId()
.br
.RS
.LP
Equivalent to addRoot(This, Text, [])\&.
.RE
.LP
.B
addRoot(This::wxTreeCtrl(), Text::string(), Options::[Option]) -> wxTreeItemId()
.br
.RS
.TP
Types
Option = {image, integer()} | {selectedImage, integer()} | {data, term()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtreectrl\&.html#wxtreectrladdroot>\&.
.RE
.LP
.B
appendItem(This::wxTreeCtrl(), Parent::wxTreeItemId(), Text::string()) -> wxTreeItemId()
.br
.RS
.LP
Equivalent to appendItem(This, Parent, Text, [])\&.
.RE
.LP
.B
appendItem(This::wxTreeCtrl(), Parent::wxTreeItemId(), Text::string(), Options::[Option]) -> wxTreeItemId()
.br
.RS
.TP
Types
Option = {image, integer()} | {selectedImage, integer()} | {data, term()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtreectrl\&.html#wxtreectrlappenditem>\&.
.RE
.LP
.B
assignImageList(This::wxTreeCtrl(), ImageList::wxImageList() (see module wxImageList)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtreectrl\&.html#wxtreectrlassignimagelist>\&.
.RE
.LP
.B
assignStateImageList(This::wxTreeCtrl(), ImageList::wxImageList() (see module wxImageList)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtreectrl\&.html#wxtreectrlassignstateimagelist>\&.
.RE
.LP
.B
collapse(This::wxTreeCtrl(), Item::wxTreeItemId()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtreectrl\&.html#wxtreectrlcollapse>\&.
.RE
.LP
.B
collapseAndReset(This::wxTreeCtrl(), Item::wxTreeItemId()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtreectrl\&.html#wxtreectrlcollapseandreset>\&.
.RE
.LP
.B
create(This::wxTreeCtrl(), Parent::wxWindow() (see module wxWindow)) -> bool()
.br
.RS
.LP
Equivalent to create(This, Parent, [])\&.
.RE
.LP
.B
create(This::wxTreeCtrl(), Parent::wxWindow() (see module wxWindow), Options::[Option]) -> bool()
.br
.RS
.TP
Types
Option = {id, integer()} | {pos, {X::integer(), Y::integer()}} | {size, {W::integer(), H::integer()}} | {style, integer()} | {validator, wx() (see module wx)}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtreectrl\&.html#wxtreectrlcreate>\&.
.RE
.LP
.B
delete(This::wxTreeCtrl(), Item::wxTreeItemId()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtreectrl\&.html#wxtreectrldelete>\&.
.RE
.LP
.B
deleteAllItems(This::wxTreeCtrl()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtreectrl\&.html#wxtreectrldeleteallitems>\&.
.RE
.LP
.B
deleteChildren(This::wxTreeCtrl(), Item::wxTreeItemId()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtreectrl\&.html#wxtreectrldeletechildren>\&.
.RE
.LP
.B
ensureVisible(This::wxTreeCtrl(), Item::wxTreeItemId()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtreectrl\&.html#wxtreectrlensurevisible>\&.
.RE
.LP
.B
expand(This::wxTreeCtrl(), Item::wxTreeItemId()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtreectrl\&.html#wxtreectrlexpand>\&.
.RE
.LP
.B
getBoundingRect(This::wxTreeCtrl(), Item::wxTreeItemId(), Rect::{X::integer(), Y::integer(), W::integer(), H::integer()}) -> bool()
.br
.RS
.LP
Equivalent to getBoundingRect(This, Item, Rect, [])\&.
.RE
.LP
.B
getBoundingRect(This::wxTreeCtrl(), Item::wxTreeItemId(), Rect::{X::integer(), Y::integer(), W::integer(), H::integer()}, Options::[Option]) -> bool()
.br
.RS
.TP
Types
Option = {textOnly, bool()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtreectrl\&.html#wxtreectrlgetboundingrect>\&.
.RE
.LP
.B
getChildrenCount(This::wxTreeCtrl(), Item::wxTreeItemId()) -> integer()
.br
.RS
.LP
Equivalent to getChildrenCount(This, Item, [])\&.
.RE
.LP
.B
getChildrenCount(This::wxTreeCtrl(), Item::wxTreeItemId(), Options::[Option]) -> integer()
.br
.RS
.TP
Types
Option = {recursively, bool()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtreectrl\&.html#wxtreectrlgetchildrencount>\&.
.RE
.LP
.B
getCount(This::wxTreeCtrl()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtreectrl\&.html#wxtreectrlgetcount>\&.
.RE
.LP
.B
getEditControl(This::wxTreeCtrl()) -> wxTextCtrl() (see module wxTextCtrl)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtreectrl\&.html#wxtreectrlgeteditcontrol>\&.
.RE
.LP
.B
getFirstVisibleItem(This::wxTreeCtrl()) -> wxTreeItemId()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtreectrl\&.html#wxtreectrlgetfirstvisibleitem>\&.
.RE
.LP
.B
getImageList(This::wxTreeCtrl()) -> wxImageList() (see module wxImageList)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtreectrl\&.html#wxtreectrlgetimagelist>\&.
.RE
.LP
.B
getIndent(This::wxTreeCtrl()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtreectrl\&.html#wxtreectrlgetindent>\&.
.RE
.LP
.B
getItemBackgroundColour(This::wxTreeCtrl(), Item::wxTreeItemId()) -> colour() (see module wx)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtreectrl\&.html#wxtreectrlgetitembackgroundcolour>\&.
.RE
.LP
.B
getItemData(This::wxTreeCtrl(), Item::wxTreeItemId()) -> term()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtreectrl\&.html#wxtreectrlgetitemdata>\&.
.RE
.LP
.B
getItemFont(This::wxTreeCtrl(), Item::wxTreeItemId()) -> wxFont() (see module wxFont)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtreectrl\&.html#wxtreectrlgetitemfont>\&.
.RE
.LP
.B
getItemImage(This::wxTreeCtrl(), Item::wxTreeItemId()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtreectrl\&.html#wxtreectrlgetitemimage>\&.
.RE
.LP
.B
getItemImage(This::wxTreeCtrl(), Item::wxTreeItemId(), Options::[Option]) -> integer()
.br
.RS
.TP
Types
Option = {which, WxTreeItemIcon}
.br
WxTreeItemIcon = integer()
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtreectrl\&.html#wxtreectrlgetitemimage>\&. 
.br
 WxTreeItemIcon is one of ?wxTreeItemIcon_Normal | ?wxTreeItemIcon_Selected | ?wxTreeItemIcon_Expanded | ?wxTreeItemIcon_SelectedExpanded | ?wxTreeItemIcon_Max
.RE
.LP
.B
getItemText(This::wxTreeCtrl(), Item::wxTreeItemId()) -> string()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtreectrl\&.html#wxtreectrlgetitemtext>\&.
.RE
.LP
.B
getItemTextColour(This::wxTreeCtrl(), Item::wxTreeItemId()) -> colour() (see module wx)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtreectrl\&.html#wxtreectrlgetitemtextcolour>\&.
.RE
.LP
.B
getLastChild(This::wxTreeCtrl(), Item::wxTreeItemId()) -> wxTreeItemId()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtreectrl\&.html#wxtreectrlgetlastchild>\&.
.RE
.LP
.B
getNextSibling(This::wxTreeCtrl(), Item::wxTreeItemId()) -> wxTreeItemId()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtreectrl\&.html#wxtreectrlgetnextsibling>\&.
.RE
.LP
.B
getNextVisible(This::wxTreeCtrl(), Item::wxTreeItemId()) -> wxTreeItemId()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtreectrl\&.html#wxtreectrlgetnextvisible>\&.
.RE
.LP
.B
getItemParent(This::wxTreeCtrl(), Item::wxTreeItemId()) -> wxTreeItemId()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtreectrl\&.html#wxtreectrlgetitemparent>\&.
.RE
.LP
.B
getPrevSibling(This::wxTreeCtrl(), Item::wxTreeItemId()) -> wxTreeItemId()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtreectrl\&.html#wxtreectrlgetprevsibling>\&.
.RE
.LP
.B
getPrevVisible(This::wxTreeCtrl(), Item::wxTreeItemId()) -> wxTreeItemId()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtreectrl\&.html#wxtreectrlgetprevvisible>\&.
.RE
.LP
.B
getRootItem(This::wxTreeCtrl()) -> wxTreeItemId()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtreectrl\&.html#wxtreectrlgetrootitem>\&.
.RE
.LP
.B
getSelection(This::wxTreeCtrl()) -> wxTreeItemId()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtreectrl\&.html#wxtreectrlgetselection>\&.
.RE
.LP
.B
getSelections(This::wxTreeCtrl()) -> {integer(), Val::[wxTreeItemId()]}
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtreectrl\&.html#wxtreectrlgetselections>\&.
.RE
.LP
.B
getStateImageList(This::wxTreeCtrl()) -> wxImageList() (see module wxImageList)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtreectrl\&.html#wxtreectrlgetstateimagelist>\&.
.RE
.LP
.B
hitTest(This::wxTreeCtrl(), Point::{X::integer(), Y::integer()}) -> wxTreeItemId()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtreectrl\&.html#wxtreectrlhittest>\&.
.RE
.LP
.B
insertItem(This::wxTreeCtrl(), Parent::wxTreeItemId(), X::integer() | wxTreeItemId(), Text::string()) -> wxTreeItemId()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtreectrl\&.html#wxtreectrlinsertitem>\&. 
.br
 Alternatives: 
.LP
\fI insertItem(This::wxTreeCtrl(), Parent::wxTreeItemId(), Pos::integer(), Text::string()) -> insertItem(This, Parent, Pos, Text, []) \fR
.LP
\fI insertItem(This::wxTreeCtrl(), Parent::wxTreeItemId(), IdPrevious::wxTreeItemId(), Text::string()) -> insertItem(This, Parent, IdPrevious, Text, []) \fR
.RE
.LP
.B
insertItem(This::wxTreeCtrl(), Parent::wxTreeItemId(), X::integer() | wxTreeItemId(), Text::string(), Options::[Option]) -> wxTreeItemId()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtreectrl\&.html#wxtreectrlinsertitem>\&. 
.br
 Alternatives: 
.LP
\fI insertItem(This::wxTreeCtrl(), Parent::wxTreeItemId(), Pos::integer(), Text::string(), [Option]) -> wxTreeItemId() \fR 
.br
 Option = {image, integer()} | {selImage, integer()} | {data, term()} 
.LP
\fI insertItem(This::wxTreeCtrl(), Parent::wxTreeItemId(), IdPrevious::wxTreeItemId(), Text::string(), [Option]) -> wxTreeItemId() \fR 
.br
 Option = {image, integer()} | {selectedImage, integer()} | {data, term()} 
.RE
.LP
.B
isBold(This::wxTreeCtrl(), Item::wxTreeItemId()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtreectrl\&.html#wxtreectrlisbold>\&.
.RE
.LP
.B
isExpanded(This::wxTreeCtrl(), Item::wxTreeItemId()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtreectrl\&.html#wxtreectrlisexpanded>\&.
.RE
.LP
.B
isSelected(This::wxTreeCtrl(), Item::wxTreeItemId()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtreectrl\&.html#wxtreectrlisselected>\&.
.RE
.LP
.B
isVisible(This::wxTreeCtrl(), Item::wxTreeItemId()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtreectrl\&.html#wxtreectrlisvisible>\&.
.RE
.LP
.B
itemHasChildren(This::wxTreeCtrl(), Item::wxTreeItemId()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtreectrl\&.html#wxtreectrlitemhaschildren>\&.
.RE
.LP
.B
prependItem(This::wxTreeCtrl(), Parent::wxTreeItemId(), Text::string()) -> wxTreeItemId()
.br
.RS
.LP
Equivalent to prependItem(This, Parent, Text, [])\&.
.RE
.LP
.B
prependItem(This::wxTreeCtrl(), Parent::wxTreeItemId(), Text::string(), Options::[Option]) -> wxTreeItemId()
.br
.RS
.TP
Types
Option = {image, integer()} | {selectedImage, integer()} | {data, term()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtreectrl\&.html#wxtreectrlprependitem>\&.
.RE
.LP
.B
scrollTo(This::wxTreeCtrl(), Item::wxTreeItemId()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtreectrl\&.html#wxtreectrlscrollto>\&.
.RE
.LP
.B
selectItem(This::wxTreeCtrl(), Item::wxTreeItemId()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtreectrl\&.html#wxtreectrlselectitem>\&.
.RE
.LP
.B
selectItem(This::wxTreeCtrl(), Item::wxTreeItemId(), Options::[Option]) -> ok
.br
.RS
.TP
Types
Option = {select, bool()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtreectrl\&.html#wxtreectrlselectitem>\&.
.RE
.LP
.B
setIndent(This::wxTreeCtrl(), Indent::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtreectrl\&.html#wxtreectrlsetindent>\&.
.RE
.LP
.B
setImageList(This::wxTreeCtrl(), ImageList::wxImageList() (see module wxImageList)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtreectrl\&.html#wxtreectrlsetimagelist>\&.
.RE
.LP
.B
setItemBackgroundColour(This::wxTreeCtrl(), Item::wxTreeItemId(), Col::colour() (see module wx)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtreectrl\&.html#wxtreectrlsetitembackgroundcolour>\&.
.RE
.LP
.B
setItemBold(This::wxTreeCtrl(), Item::wxTreeItemId()) -> ok
.br
.RS
.LP
Equivalent to setItemBold(This, Item, [])\&.
.RE
.LP
.B
setItemBold(This::wxTreeCtrl(), Item::wxTreeItemId(), Options::[Option]) -> ok
.br
.RS
.TP
Types
Option = {bold, bool()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtreectrl\&.html#wxtreectrlsetitembold>\&.
.RE
.LP
.B
setItemData(This::wxTreeCtrl(), Item::wxTreeItemId(), Data::term()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtreectrl\&.html#wxtreectrlsetitemdata>\&.
.RE
.LP
.B
setItemDropHighlight(This::wxTreeCtrl(), Item::wxTreeItemId()) -> ok
.br
.RS
.LP
Equivalent to setItemDropHighlight(This, Item, [])\&.
.RE
.LP
.B
setItemDropHighlight(This::wxTreeCtrl(), Item::wxTreeItemId(), Options::[Option]) -> ok
.br
.RS
.TP
Types
Option = {highlight, bool()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtreectrl\&.html#wxtreectrlsetitemdrophighlight>\&.
.RE
.LP
.B
setItemFont(This::wxTreeCtrl(), Item::wxTreeItemId(), Font::wxFont() (see module wxFont)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtreectrl\&.html#wxtreectrlsetitemfont>\&.
.RE
.LP
.B
setItemHasChildren(This::wxTreeCtrl(), Item::wxTreeItemId()) -> ok
.br
.RS
.LP
Equivalent to setItemHasChildren(This, Item, [])\&.
.RE
.LP
.B
setItemHasChildren(This::wxTreeCtrl(), Item::wxTreeItemId(), Options::[Option]) -> ok
.br
.RS
.TP
Types
Option = {has, bool()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtreectrl\&.html#wxtreectrlsetitemhaschildren>\&.
.RE
.LP
.B
setItemImage(This::wxTreeCtrl(), Item::wxTreeItemId(), Image::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtreectrl\&.html#wxtreectrlsetitemimage>\&.
.RE
.LP
.B
setItemImage(This::wxTreeCtrl(), Item::wxTreeItemId(), Image::integer(), Options::[Option]) -> ok
.br
.RS
.TP
Types
Option = {which, WxTreeItemIcon}
.br
WxTreeItemIcon = integer()
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtreectrl\&.html#wxtreectrlsetitemimage>\&. 
.br
 WxTreeItemIcon is one of ?wxTreeItemIcon_Normal | ?wxTreeItemIcon_Selected | ?wxTreeItemIcon_Expanded | ?wxTreeItemIcon_SelectedExpanded | ?wxTreeItemIcon_Max
.RE
.LP
.B
setItemText(This::wxTreeCtrl(), Item::wxTreeItemId(), Text::string()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtreectrl\&.html#wxtreectrlsetitemtext>\&.
.RE
.LP
.B
setItemTextColour(This::wxTreeCtrl(), Item::wxTreeItemId(), Col::colour() (see module wx)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtreectrl\&.html#wxtreectrlsetitemtextcolour>\&.
.RE
.LP
.B
setStateImageList(This::wxTreeCtrl(), ImageList::wxImageList() (see module wxImageList)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtreectrl\&.html#wxtreectrlsetstateimagelist>\&.
.RE
.LP
.B
setWindowStyle(This::wxTreeCtrl(), Styles::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtreectrl\&.html#wxtreectrlsetwindowstyle>\&.
.RE
.LP
.B
sortChildren(This::wxTreeCtrl(), Item::wxTreeItemId()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtreectrl\&.html#wxtreectrlsortchildren>\&.
.RE
.LP
.B
toggle(This::wxTreeCtrl(), Item::wxTreeItemId()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtreectrl\&.html#wxtreectrltoggle>\&.
.RE
.LP
.B
toggleItemSelection(This::wxTreeCtrl(), Item::wxTreeItemId()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtreectrl\&.html#wxtreectrltoggleitemselection>\&.
.RE
.LP
.B
unselect(This::wxTreeCtrl()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtreectrl\&.html#wxtreectrlunselect>\&.
.RE
.LP
.B
unselectAll(This::wxTreeCtrl()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtreectrl\&.html#wxtreectrlunselectall>\&.
.RE
.LP
.B
unselectItem(This::wxTreeCtrl(), Item::wxTreeItemId()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtreectrl\&.html#wxtreectrlunselectitem>\&.
.RE
.LP
.B
destroy(This::wxTreeCtrl()) -> ok
.br
.RS
.LP
Destroys this object, do not use object again
.RE
